The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Passive Device Profiling Setting at Sensor Level

Prev Next

This URL gets passive device profiling setting at the Sensor level.

Resource URL

GET /sensor/<sensor_id>/passivedeviceprofiling

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
sensor_id Domain id Number Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
inheritSettingsfromParentNode Inherit settings from parent node Boolean
passiveDeviceProfilingSetting Object that contains passive device profiling setting Object
bindIPForCopiedDHCPTraffic Bind monitoring port of a Sensor to receive a DHCP traffic with a relay agent Boolean
bindIPAddressDetails Object that contains monitoring port details for receiving DHCP traffic Object
PassiveDeviceProfilingStateForSensor Passive device profiling state on Sensor String
interfaceStatusList List of interfaces with enable status of passive device profiling setting in inbound/outbound direction Object

Details of fields in passiveDeviceProfilingSetting:

Field Name Description Data Type
profilingTechniques Profiling technique to use for device profiling Object
profileExpiration Profile expiration duration for re-profiling of a device Object
hostInactivityTimerInHrs Specifies the duration after which information for a device is considered invalid Number

Details of fields in profilingTechniques:

Field Name Description Data Type
DHCPEnableStatus Enable DHCP for device profiling Boolean
TCPEnableStatus Enable TCP for device profiling Boolean
HTTPEnableStatus Enable HTTP for device profiling Boolean

Details of fields in profileExpiration:

Field Name Description Data Type
duration Profile expiration duration Number
unit Profile expiration duration unit, can be "MINUTES" / "HOURS" String

Details of fields in bindIPAddressDetails:

Field Name Description Data Type
designatedPort Monitoring port of a Sensor to receive a DHCP traffic with a relay agent String
portIPAddress IP address of the monitoring port String
networkMask Network mask String
defaultGateway Default gateway String
vlanID VLAN id String

Details of object in interfaceStatusList:

Field Name Description Data Type
interfaceId Interface id Number
interfaceName Interface name String
enableInbound Enable status in inbound direction Boolean
enableOutbound Enable status in outbound direction Boolean
subinterfaceStatusList List of sub-interfaces in a particular interface with enable status of passive device profiling in inbound/outbound direction Object

Details of fields in subinterfaceStatusList:

Field Name Description Data Type
interfaceId Interface id Number
interfaceName Interface name String
enableInbound Enable status in inbound direction Boolean
enableOutbound Enable status in outbound direction Boolean

Example

Request

GET https://%3CNSM_IP%3E/sdkapi/sensor/1001/passivedeviceprofiling

Response

{
       		"inheritSettingsfromIPSSettingsNode": true,
       		"passiveDeviceProfilingSetting":
       		{
           		"profilingTechniques":
           		{
               			"DHCPEnableStatus": false,
               			"TCPEnableStatus": false,
               			"HTTPEnableStatus": true
           		},
           		"profileExpiration":
           		{
               			"duration": 10,
               			"unit": "HOURS"
           		},
           		"hostInactivityTimerInHrs": 11
       		},
       		"bindIPForCopiedDHCPTraffic": true,
       		"bindIPAddressDetails":
       		{
           		"designatedPort": "4A",
           		"portIPAddress": "100.100.100.10",
           		"networkMask": "255.255.0.0",
           		"defaultGateway": "100.100.100.1",
           		"vlanID": "10"
       		},
"PassiveDeviceProfilingStateForSensor": "ENABLE_DEVICEPROFILING_FOR_ENTIRE_DEVICE",
       		"interfaceStatusList":
       		[
           		{
               			"interfaceId": 117,
               			"interfaceName": "3B",
               			"enableInbound": true,
               			"enableOutbound": true
           		},
           		{
               			"interfaceId": 105,
               			"interfaceName": "1A-1B",
               			"enableInbound": true,
               			"enableOutbound": true,
               			"subinterfaceStatusList":
               			[
                   				{
                       				"subInterfaceId": 118,
                       				"subInterfaceName": "TestVLAN1",
                       				"enableInbound": true,
                       				"enableOutbound": true
                   				}
               			]
           		},
           		{
               			"interfaceId": 104,
               			"interfaceName": "2A-2B",
               			"enableInbound": true,
               			"enableOutbound": true
           		},
           		{
               			"interfaceId": 103,
               			"interfaceName": "3A",
               			"enableInbound": true,
               			"enableOutbound": true
           		},
           		{
               			"interfaceId": 102,
               			"interfaceName": "4A-4B",
               			"enableInbound": true,
              			 "enableOutbound": true
           		}
       		]
    	} 
 

Error Information

Following error code is returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1106 Invalid Sensor